local lsp_capabilities = require("cmp_nvim_lsp").default_capabilities()
local lspconfig = require('lspconfig')
require("mason").setup()
require("mason-lspconfig").setup()
lspconfig.lua_ls.setup {
	capabilities = lsp_capabilities,
}
lspconfig.grammarly.setup {
    filetypes = { "markdown", "tex", "text", },
    init_options = {
        clientId = "client_"
    },
    root_dir = function(fname)
        return require'lspconfig'.util.find_git_ancestor(fname) or vim.loop.os_homedir()
    end,
}
require("lspconfig").marksman.setup {}
